<template lang="pug">
BaseCollapsible(:expand='expand' @update:expand='onExpanded($event)')
  template(v-slot:header='')
    .d-flex.justify-content-between
      strong {{ title }}
      BaseAnimationBlock(v-if='prefetch')
        .justify-content-center.d-flex(v-if='loading' key='loading')
          i.align-bottom.fa.fa-spinner.fa-pulse
        span.align-self-center.badge.badge-secondary(v-else) {{ rows | sizeLimit(max) }}
  slot(name="default" v-bind='{ rows, loading, max }')
    .col-12.d-flex.justify-content-between.rounded.hover-bg-light.x-row(v-for='row in rows')
      slot(name="row" v-bind='row')
  slot(name="footer" v-bind='{ rows, loading, max, next, previous }')
    .col-12.d-flex.justify-content-center(v-if='offset || (rows && rows.length >= max)')
      nav.justify-content-center(aria-label='Pagination')
        ul.pagination
          li.page-item(:class='{ disabled: (offset <= 0) }')
            button.page-link(type='button' @click='previous') #[i.fa.fa-angle-left]
          li.page-item(:class='{ disabled: (!rows || rows.length < max) }')
            button.page-link(type='button' @click='next') #[i.fa.fa-angle-right]
</template>
<script src='./DBCollapsible.vue.js' />
